aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/neuros-public/neuros-nwm
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/neuros-public/neuros-nwm
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/neuros-public/neuros-nwm')
-rw-r--r--recipes/neuros-public/neuros-nwm/init31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes/neuros-public/neuros-nwm/init b/recipes/neuros-public/neuros-nwm/init
new file mode 100644
index 0000000000..5ab8f7a248
--- /dev/null
+++ b/recipes/neuros-public/neuros-nwm/init
@@ -0,0 +1,31 @@
+#!/bin/sh
+###############################################################################$
+#
+# Filename: /etc/init.d/nwm
+#
+# File Description: Qt Neuros server Startup Script
+#
+# @author Tom Bruno tbruno@neuros.us
+# @version $Revision: 1.0 $
+#
+###############################################################################$
+
+[ "$1" != "" ] && action=$1
+if [ "$action" = "" ]
+then
+ echo "Usage: $0 <action start|stop>" >&2
+ exit 1
+fi
+
+if [ "$action" = "start" ]
+then
+
+ QWS_KEYBOARD="osdir" QWS_DISPLAY="LinuxFb:/dev/fb2" /usr/local/bin/nwm &
+
+else
+ if [ "$action" = "stop" ]
+ then
+ killall nwm
+ fi
+fi
+